
package de.ivu.elect.business.gruppe.control;

import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.gruppe.entity.NlPolitischeGruppe;
import de.ivu.elect.business.gruppe.entity.PolitischeGruppe;

@Specializes
public class NlPolitischeGruppeCreate extends PolitischeGruppeCreate {

  public NlPolitischeGruppeCreate() {
    super();
  }

  @Override
  public void save(PolitischeGruppe politischeGruppe) {
    NlPolitischeGruppe nlPolitischeGruppe = new NlPolitischeGruppe(politischeGruppe);
    nlPolitischeGruppe.setNameInitial(nlPolitischeGruppe.getName());// ELECT-10129

    super.save(politischeGruppe);
  }
}
